RFXtrx433XL drops out after 12 hours

I’m running Home Assistant Core in a docker container on my unRAID server, and have passed my RFXtrx433XL through to the container so I can use the RFXCOM integration.

The integration works fine after HA has started up. I’m reading data from various temperature and humidity sensors. But after a while (12 hours the last time) the devices become “Unavailable”. And in the HA log file I see the following:

Logger: homeassistant.config_entries
Source: components/rfxtrx/__init__.py:248
First occurred: 2:15:12 (1 occurrences)
Last logged: 2:15:12

Error setting up entry RFXTRX for rfxtrx
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/serial/serialposix.py", line 322, in open
    self.fd = os.open(self.portstr, os.O_RDWR | os.O_NOCTTY | os.O_NONBLOCK)
OSError: [Errno 16] Resource busy: '/dev/serial/by-id/usb-RFXCOM_RFXtrx433XL_DO2VYUE2-if00-port0'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/RFXtrx/__init__.py", line 660, in connect
    self.serial = serial.Serial(self.port, 38400, timeout=0.1)
  File "/usr/local/lib/python3.8/site-packages/serial/serialutil.py", line 244, in __init__
    self.open()
  File "/usr/local/lib/python3.8/site-packages/serial/serialposix.py", line 325, in open
    raise SerialException(msg.errno, "could not open port {}: {}".format(self._port, msg))
serial.serialutil.SerialException: [Errno 16] could not open port /dev/serial/by-id/usb-RFXCOM_RFXtrx433XL_DO2VYUE2-if00-port0: [Errno 16] Resource busy: '/dev/serial/by-id/usb-RFXCOM_RFXtrx433XL_DO2VYUE2-if00-port0'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/serial/serialposix.py", line 322, in open
    self.fd = os.open(self.portstr, os.O_RDWR | os.O_NOCTTY | os.O_NONBLOCK)
OSError: [Errno 16] Resource busy: '/dev/serial/by-id/usb-RFXCOM_RFXtrx433XL_DO2VYUE2-if00-port0'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/config_entries.py", line 236, in async_setup
    result = await component.async_setup_entry(hass, self)  # type: ignore
  File "/usr/src/homeassistant/homeassistant/components/rfxtrx/__init__.py", line 194, in async_setup_entry
    await async_setup_internal(hass, entry)
  File "/usr/src/homeassistant/homeassistant/components/rfxtrx/__init__.py", line 273, in async_setup_internal
    rfx_object = await hass.async_add_executor_job(_create_rfx, config)
  File "/usr/local/lib/python3.8/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/src/homeassistant/homeassistant/components/rfxtrx/__init__.py", line 248, in _create_rfx
    rfx = rfxtrxmod.Connect(config[CONF_DEVICE], None)
  File "/usr/local/lib/python3.8/site-packages/RFXtrx/__init__.py", line 853, in __init__
    self.transport = transport_protocol(device)
  File "/usr/local/lib/python3.8/site-packages/RFXtrx/__init__.py", line 655, in __init__
    self.connect()
  File "/usr/local/lib/python3.8/site-packages/RFXtrx/__init__.py", line 665, in connect
    self.serial = serial.Serial(port[0], 38400, timeout=0.1)
  File "/usr/local/lib/python3.8/site-packages/serial/serialutil.py", line 244, in __init__
    self.open()
  File "/usr/local/lib/python3.8/site-packages/serial/serialposix.py", line 325, in open
    raise SerialException(msg.errno, "could not open port {}: {}".format(self._port, msg))
serial.serialutil.SerialException: [Errno 16] could not open port /dev/serial/by-id/usb-RFXCOM_RFXtrx433XL_DO2VYUE2-if00-port0: [Errno 16] Resource busy: '/dev/serial/by-id/usb-RFXCOM_RFXtrx433XL_DO2VYUE2-if00-port0'

If I then reboot HA from Configuration > Server Controls, the integration works fine again, before dropping out again after a while.

What can I do about this? Is this an issue with unRAID that’s managing the device passthrough, or with Home Assistant and the integration?